Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class LazyTreeRoot

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.util.LazyTreeRoot

All Implemented Interfaces:
  TreeNode

Direct Known Subclasses:
  ClsClsReferenceRoot, ParentChildRoot, ReferenceRoot, SlotSubslotRoot

    public abstract class LazyTreeRoot

extends LazyTreeNode

The Root node for a lazy tree. Note that this root is never displayed. Its child lazy tree nodes are the apparent roots of the tree.

Author:
  Ray Fergerson

Constructor Summary
`protected` | `LazyTreeRoot(Collection c)`
`protected` | `LazyTreeRoot(Collection c, boolean isSorted)`
`protected` | `LazyTreeRoot(Object o)`
`protected` | `LazyTreeRoot(Object o, boolean isSorted)`

Method Summary
`void` | `childReplaced(Object oldUserObj, Object newUserObj)`
`protected int` | `getChildObjectCount()`
`Collection` | `getChildObjects()`
`void` | `notifyChildNodeAdded(LazyTreeNode parent, int index, LazyTreeNode child)`
`void` | `notifyChildNodeRemoved(LazyTreeNode parent, int index, LazyTreeNode child)`
`void` | `notifyNodeChanged(LazyTreeNode node)`
`void` | `notifyNodeStructureChanged(LazyTreeNode node)`
`void` | `setModel(LazyTreeModel model)`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, createNode, dispose, equals, getAllowsChildren, getChildAt, getChildCount, getComparator, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LazyTreeRoot

    protected LazyTreeRoot(Object o)

### LazyTreeRoot

    protected LazyTreeRoot(Collection c)

### LazyTreeRoot

    protected LazyTreeRoot(Object o,
                           boolean isSorted)

### LazyTreeRoot

    protected LazyTreeRoot(Collection c,
                           boolean isSorted)

Method Detail

### getChildObjectCount

    protected int getChildObjectCount()

  Specified by:
    `getChildObjectCount` in class `LazyTreeNode`

### getChildObjects

    public Collection getChildObjects()

  Specified by:
    `getChildObjects` in class `LazyTreeNode`

### childReplaced

    public void childReplaced(Object oldUserObj,
                              Object newUserObj)

### notifyChildNodeAdded

    public void notifyChildNodeAdded(LazyTreeNode parent,
                                     int index,
                                     LazyTreeNode child)

  Overrides:
    `notifyChildNodeAdded` in class `LazyTreeNode`

### notifyChildNodeRemoved

    public void notifyChildNodeRemoved(LazyTreeNode parent,
                                       int index,
                                       LazyTreeNode child)

  Overrides:
    `notifyChildNodeRemoved` in class `LazyTreeNode`

### notifyNodeChanged

    public void notifyNodeChanged(LazyTreeNode node)

  Overrides:
    `notifyNodeChanged` in class `LazyTreeNode`

### notifyNodeStructureChanged

    public void notifyNodeStructureChanged(LazyTreeNode node)

  Overrides:
    `notifyNodeStructureChanged` in class `LazyTreeNode`

### setModel

    public void setModel(LazyTreeModel model)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.